Subject: Re: git-diff: must --exit-code work with --ignore* options?

From: Jim Meyering <[email-masked]>
Date: Sat, 23 May 2009 09:26:25 +0200

Junio C Hamano wrote:
> Jim Meyering <[email-masked]> writes:
>> Junio C Hamano wrote:
>>> Jim Meyering <[email-masked]> writes:
>>>>
>>>>     # do this in an empty directory
>>>>     $ git init -q; echo>k; git add .; git commit -q -m. .; echo \ >k
>>>>     $ git diff --ignore-space-at-eol --quiet || echo bad
>>>>     bad
>>>
>>> I am slightly torn about this, in that I can picture myself saying that
>>> this is unintuitive on some different days, but not today ;-)
>>
>> Thanks for the quick reply.  Here's why I noticed:
>> ...
>
> It seems that today is already "some different day" ;-) We could do
> something like this patch.
>
> While in the longer term I think it may make the world a better place by
> being more consistent with what users expect, I am not sure at what
> revision boundary we should introduce such a semantic change.
>
> -- >8 --
> Subject: [PATCH] diff --quiet: special case "ignore whitespace" options
> ...

Wow.  And now a patch.  Service with style ;-)

> We could always declare this a bug and apply the "fix" at any time.  It's
> all perception ;-).

The declare-it-a-bug option sounds sensible, since I doubt anyone
even noticed, much less relied on, the changing behavior.

Thank you!